Package uk.ac.starlink.topcat.plot2

# Class PositionCoordPanel

java.lang.Object
uk.ac.starlink.topcat.plot2.CoordPanel
uk.ac.starlink.topcat.plot2.PositionCoordPanel

Direct Known Subclasses:
  `AreaCoordPanel`, `SimplePositionCoordPanel`, `XYArrayCoordPanel`

public abstract class PositionCoordPanel extends CoordPanel
GUI component for obtaining data position coordinates.

Since:
  13 Mar 2013
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

`CoordPanel.CoordStack`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)`
Constructor with default coord stack.
`protected`
`PositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys, CoordPanel.CoordStack stack)`
Constructor with supplied coord stack.

## Method Summary

Modifier and Type
Method
Description
`abstract uk.ac.starlink.ttools.plot2.DataGeom`
`getDataGeom()`
Returns the position geometry that defines the mapping of input to data coordinates.
`List<uk.ac.starlink.util.Bi<String,JComponent>>`
`getExtraTabs()`
Returns definitions for additional tabs to add alongside the main Position tab in the FormLayerControl.
`static uk.ac.starlink.ttools.plot2.data.Coord[]`
`multiplyCoords(uk.ac.starlink.ttools.plot2.data.Coord[] coords, int ncopy)`
Returns a list of coordinates which is like multiple copies of a supplied group.

### Methods inherited from class uk.ac.starlink.topcat.plot2.CoordPanel

`addActionListener, addButtons, autoPopulate, createDefaultStack, getActionForwarder, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getStack, getTable, isPreferredCoord, populate, removeActionListener, setColumnSelector, setTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PositionCoordPanel

protected PositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys, CoordPanel.CoordStack stack)
Constructor with supplied coord stack.

Parameters:
  `coords` - coordinate definitions for which values are required
  `configKeys` - config value keys (often empty)
  `stack` - coord stack implementation

### PositionCoordPanel

protected PositionCoordPanel(uk.ac.starlink.ttools.plot2.data.Coord[] coords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)
Constructor with default coord stack.

Parameters:
  `coords` - coordinate definitions for which values are required
  `configKeys` - config value keys (often empty)

## Method Details

### getDataGeom

public abstract uk.ac.starlink.ttools.plot2.DataGeom getDataGeom()
Returns the position geometry that defines the mapping of input to data coordinates.

Returns:
  data geom

### getExtraTabs

public List<uk.ac.starlink.util.Bi<String,JComponent>> getExtraTabs()
Returns definitions for additional tabs to add alongside the main Position tab in the FormLayerControl. In most cases an empty list will be returned.

Returns:
  list of (TabName,TabContent) pairs to add

### multiplyCoords

public static uk.ac.starlink.ttools.plot2.data.Coord[] multiplyCoords(uk.ac.starlink.ttools.plot2.data.Coord[] coords, int ncopy)
Returns a list of coordinates which is like multiple copies of a supplied group. The returned coords have metadata which distinguish them from each other, currently an integer appended to their name. The returned coords are not totally respectable, but their metadata is OK.

Parameters:
  `coords` - basic coordinates
  `ncopy` - number of copies to make
Returns:
  array of ncopy copies of coords